/* Error codes */
#define EXPRPARSER_OK                         0   /* all right (no error) */
#define EXPRPARSER_DIVIDE_BY_ZERO             1   /* division by 0 */
#define EXPRPARSER_PARENTHESES_NOT_BALANCED   2   /* parentheses non balanced */
#define EXPRPARSER_OPEN_PARENTHESIS_EXPECTED  3   /* a '(' parenthesis was expected */
#define EXPRPARSER_CLOSE_PARENTHESIS_EXPECTED 4   /* '(' expected */                
#define EXPRPARSER_COMMA_EXPECTED             5   /* a ',' was expected */
#define EXPRPARSER_UNKNOWN_VARIABLE           6   /* unknown variable */
#define EXPRPARSER_VARIABLE_MEMORY_LEAK       7   /* the variable array is full! */
#define EXPRPARSER_BAD_IDENTIFIER             8   /* a bad identifier encountered */
#define EXPRPARSER_DOMAIN_ERROR               9   /* value not in function domain
						   * (e.g.: log(x) is defined for x > 0;
						   * so log(-3) causes a DOMAIN_ERROR.) */

gint exprparser(DOCUMENT *doc, gchar *buffer, gdouble *answer);
